//PROGRAMM FOR BLINKING LED
//
// PROCESSOR : PIC16F876A
// CLOCK	 : 20MHz, EXTERNAL


#include	<pic.h>

__CONFIG(WDTDIS & LVPDIS & BORDIS & HS & PWRTEN) ;


//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

// main function
void main( void ) {


	INTCON 	= 0x0;			// Disable inerupt
	CMCON 	= 0x07;		    // Comparators Off
	ADCON1  = 0x06;			// Port as Digital IO
	TRISA0 	= 0;			// Led pin as output
	CVRCON  = 0;


	// loop forever - echo 
	while(1) {

		// Toggle led
		PORTA ^= 1;
		// Simple delay
		Delay(50000);
	}
}
